<template>
  <!-- 新增批车作业页面 -->
  <div id="contractDetails">
    <page-title>返回</page-title>
  <div>
      <dilTable
        v-bind.sync="option"
        v-model="table1"
        @change="handleCheckedCitiesChange"
        ref="table"
        @radio-change="currentRadioChange"
      >
      </dilTable>
    </div>
    <div class="contractTitle">
      <div class="form">
        <div class="form_box">
          <dil-form :formId="105" v-model="form1"></dil-form>
        </div>
      </div>
    </div>
    <div class="button-box">
      <el-button @click="onClickCancel">返回</el-button>
      <el-button type="primary" @click="onClickConfirm">确认</el-button>
    </div>
  </div>
</template>
<script>
import PageTitle from "@/components/Page/Title";
export default {
  components: { PageTitle },
  data() {
    return {
      option: {
        // 表格请求数据的地址
        requestUrl:
          "/api/v1/tms/getAllWagonPlease?apiId=57&status=1&resultType=3",
        // 控制显示当选列
        selectionType: "radio",
      },
      // 表单
      form1: {},
      // 表格
      table1: {},
      contractId: "",
      inf: {},
    };
  },
  mounted() {
    // this.unit();
  },
  methods: {
    handleCheckedCitiesChange(value) {
      console.log(value);
    },
    // 返回
    onClickCancel() {
      this.$router.go(-1);
    },
    currentRadioChange(row) {
      this.inf = row;
    },
    // 确认
    onClickConfirm() {
      let approveWagonPlease = {
        resultId: this.inf.resultId,
        resultApproveDate: sjTime(this.form1.resultApproveDate),
        resultApproveNumber: this.form1.resultApproveNumber
      };
      function isNumber() {
        var value = approveWagonPlease.resultApproveNumber;
        //验证是否为数字
        var patrn = /^(-)?\d+(\.\d+)?$/;
        if (patrn.exec(value) == null || value == "") {
          return false;
        } else {
          return true;
        }
      }
      var val = this.value;
      if (
        approveWagonPlease.resultId==null||
        approveWagonPlease.resultApproveDate==null||
        approveWagonPlease.resultApproveNumber==null
      ) this.$message.error("存在空值！");
      else
      if (!isNumber(val)) this.$message.error("请车数量必须是数字！");
      else
      this.axios
        .post("/api/v1/tms/addApproveWagonPlease", approveWagonPlease)
        .then(() => {
          this.$message({
            type: "success",  
            message: "新增成功!",
          });
          this.$router.go(-1);
        });
    },
  },
};
</script>
<style lang="scss">
// @import "@/styles/appoint/contract/ContractInsert.scss";
#contractDetails{
  .form {
    display: flex;
    .form_box {
      width: 240px;
      margin-left: 35%;
      margin-top: 30px;
      margin-right: 22px;
      .el-form {
        .preview-group {
     }
    }
  }          .el-form-item {
            .el-form-item__label {
              display: inline-block;
              width: 70px !important;    
              padding-right: 200px;
              margin-bottom: 0px;
            }
            .el-form-item__content {
              .el-select {
                width: 230px;
              }
              .el-input {
                width: 160px;
                margin-left: -300px;
                padding-bottom: 0%;
               
              }
            }
          }
        }
 
  .button-box{
    margin-top: 50px;
    margin-left: 550px;
    
  }
}
</style>